Mandriva Linux

Boot fails on ata3: SRST failed (errno=-16)

Reported by snoble on 2008-04-22
130
This bug affects 15 people
Affects Status Importance Assigned to Milestone
linux (Mandriva)
New
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Nominated for Dapper by David B
Nominated for Feisty by David B
Nominated for Gutsy by David B
Nominated for Hardy by David B
Nominated for Intrepid by David B
linux (openSUSE)
New
Undecided
Unassigned

Bug Description

Binary package hint: linux-image-2.6.24-16-386

Boot fails with kernel 2.6.24-16 from hardy but succeeds on 2.6.22

Final messages in recovery mode

usbcore: registered new interface driver usbhid
/build/buildd/linux-2.6.24/drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
ata3: port is slow to respond, please be patient (Status 0x90)
ata3: SRST failed (errno=-16)

Then eventually busybox begins
Please let me know if there is anymore information I can offer.

I got the same problem.

snoble (steven-noble) wrote :

I fixed the problem by turning my drives to cable select and re-plugging my ide cables in the proper direction.

Janus (ysangkok+launchpad) wrote :
  • dmesg Edit (27.9 KiB, application/octet-stream)

I got the same problem. It's very weird, because it worked before I upgraded to 8.04. I am booting from a SATA drive with Linux. The PATA drive has a 80GB Windows partition, which I now cannot see in Linux.

I read about turning SATA off, but I guess that won't work, because I am booting from SATA.

Motherboard: AsRock P4VM890
BIOS: 1.90 (latest)
CPU: Pentium 4, 3 Ghz (Northwood) (800 Mhz FSB) (Socket 478)
RAM: 2GB in 2 slots (DDR400 underclocked to DDR333)
Graphics: NVIDIA 7950 GX2
Kernel: Linux Gigabob 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
Distribution: Ubuntu Hardy Heron

I am getting ACPI errors. ( https://bugs.launchpad.net/ubuntu/+source/linux/+bug/133146 )

Janus (ysangkok+launchpad) wrote :

Yepp, excatly the same problem. In my computer are also working 2 SATA HDs from Samsung. On other Versions of Ubuntu I don't got the problem.

Motherboard: ASUS P5W DH Deluxe
BIOS: latest (updated a week ago)
CPU: Intel Core 2 Duo
RAM: 3 GB in 3 slots (Kingston Hyper X DDR2 800)
HDD: 2x Samsung HD250HJ 250 GB
Graphics: NVIDIA 7600 GT
Distirubution: Ubuntu 8.04

David B (spacem0nkey411) wrote :

Same error here on Asus p5w dh

Changed in linux:
status: New → Confirmed
OHaase (ohaase) wrote :

Same big problem with P5W DH and Samsung HD SATA 250 + 400MB and 4GB RAM on Ubuntu 64Bit.

offi83 (webhorse) wrote :

Same on Asus Pundit P1-AH2 (Barebone with AMD-64bit CPU), Mythbuntu 8.04 32bit, SATA HD&DVD, latest Kernel

offi83 (webhorse) wrote :

added "irqpoll" to menu.lst's kernel line for a faster boot without these errors - but that's not a nice solution

I can not install Intrepid Ibex alpha 3 because of this.

I gets into an endless loop saying:
ata2 link is to slow to respond.
ata2 SRST failed (errno=-16).

Shows busybox and more of the messages from above.

Asus P5N-E SLI board (BIOS rev. 0901) , 4 Gb RAM, Core2 Duo 8200.
Pioneer DVR-215D.

Booting with a kernel from Hardy suggest, that ata2 is my DVD drive.

More precise: I was trying to install Kubuntu Intrepid Ibex alpha 3 for x86_64 from CD.

That same CD works on a MSI P35 Neo2 board with 2Gb RAM, Core2 Duo 6420.

Same problem with Ubuntu Intrepid alpha 3 for x86_64.

Please let me know if you need more information about the HW. It is a pretty
common set-up I'd say. NVidia 650i chip set.. all standard HW.

Same problem with alpha 4 (x86_64 and 32 bit).

ata2: link is slow to respond, please be patient (ready=-19)
ata2: SRST failed (errno=-16)
ata2: reset failed, giving up.
ata2: SRST failed (errno=-16)
ata2: SRST failed (errno=-16)
ata2: SRST failed (errno=-16)
ata2: SRST failed (errno=-16)
ata2: reset failed, giving up
...

As I said the boot process stops here, therefore I can *not* install Intrepid on this machine.

In my case, the problem results from changes from 2.6.25 to 2.6.26 in the sata_nv driver
(sata_nv.c).

Applying this patch (which is only an experiment)
http://lkml.org/lkml/2008/8/20/51
prevents the endless reset loops. And the DVD drive is usable
as with 2.6.25.

Still, I am surprised that I am the only person with this particular mainbord /
DVD drive combination.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Tested with Xubuntu Intrepid alpha 5 x86_64.

I tested again on Asus P5N-E SLI board (BIOS rev. 0901) , 4 Gb RAM, Core2 Duo 8200.
Pioneer DVR-215D. Again I the DVD drive is not recognised.
Error messages have changed somewhat. The hard reset loop is now gone. The boot
process just halts.

dmesg:
ata4: SRST failed (errno=-16)
ata4: link online but device misclassified, retrying
ata4: link is slow to respond, please be patient (ready=-19)
ata4: SRST failed (errno=-16)
ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 300) <== Device can handle max 1.5 Gbps anyway
ata4: link online but device misclassified, retrying
ata4: limiting SATA link speed to 1.5 Gbps
ata4: SRST failed (errno=-16)
ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
ata4: link online but device misclassified, device detection might fail
(2 more messages)

I contacted Tejun Heo asking him about http://lkml.org/lkml/2008/8/20/51
(same as patch attached)
and he said this patch would go upstream, since the "early" Nvidia chipsets
have problems. Here is an explanation from Tejun Heo:

"
Well, it looks like some of the earlier nv's just can't cope with
hardresetting. It was okay before not because hardreset worked but it
wasn't simply used. Hotplugging doesn't have any direct dependence on
hardreset as long as PHY event is delivered. Hotplug and hardreset
usually go together as virtually all controllers which support PHY
events implement SCRs which can be used to hardreset.

Anyways, without hardreset, the only lost functionality is to handle
some exotic malfunctioning device cases and ability to unlock some
limitations BIOS has put, both of which should be too big a problem in
most cases.
"

Thanks

PauLoX (paulox) wrote :

> I fixed the problem by turning my drives to cable select and re-plugging my ide cables in the proper direction.

Me too.

I'm using Ubuntu 8.10 alpha 5 CD i386 desktop.

PauloX

justinc (justin-conover) wrote :

I have the same problem with Alpha 5/6 amd64.

P35 Neo2 Q6600
Nvidia 8800GT
4x250GB SATA HD's
8GB RAM

Alpha 6 (Xubuntu Intrepid x86_64) boots on Asus P5N-E Sli (NVidia 650i chipset).
No errors or warnings.

Again: This is speciific to NVidia MCP51 (sata_nv.c). People with P35 or other chipsets are
another issue.

Thanks.

coolzire (olev999) wrote :

This is my computer specs two weeks ago:
Intel Q6600
Asus P5W-DH
2 gib ram
Wd5000aaks (sata and no jumper)
Asus Hd 3870
I dual boot vista and ubuntu
 Two weeks ago when trying to boot into ubuntu I have encountered ata8: SRST failed (errno=-16). Since I had lot of work, I had no time to search for answer. This week I my father brought home an new computer. I salvaged the old computer drive which is a brand new wd800bb (ide) and installed it in my rig . When booting from live-cd i get ata8: SRST failed (errno=-16). I still get this error most of the time after disabling the floppy drive and the putting bios sd800bb setting to not installed.

Just adding anote that the patch @multics has reference from Tejun Heo is in the current Intrepid kernel (2.6.27-6 as of this posting).

commit 2fd673ecf0378ddeeeb87b3605e50212e0c0ddc6

Author: Tejun Heo <email address hidden>

Date: Fri Aug 29 16:13:12 2008 +0200

    sata_nv: disable hardreset for generic

Thanks, Leann.

I also tested the vanilla 2.6.27 from kernel.org. Much to my surprise, this kernel gives me
the old error (hard resets, then DVD drive not recognised).

The code in sata_nv.c looks different then what Tejun had in his
patch. Something has gone badly wrong here.

Using both 8.10 and 8.0.4 install CDs, I get this error. After switching both the drives to cable-select it fixed the issue. I have an identical machine with a different brand HD and it works with mas/sla jumpers. Strange.

Jacob Boström (jakethecak3) wrote :

With ubuntu 8.10 beta, linux-image-2.6.27-4-generic I get this (which is OK):
[ 4.113152] scsi 2:0:0:0: Direct-Access ATA MTRON MSP-SATA70 0.16 PQ: 0 ANSI: 5
..
[ 4.736563] sata_nv 0000:00:0e.2: PCI INT C -> Link[ASA2] -> GSI 23 (level, low) -> IRQ 23
[ 4.736710] sata_nv 0000:00:0e.2: Using SWNCQ mode
[ 4.737024] sata_nv 0000:00:0e.2: setting latency timer to 64
..
[ 5.546055] Driver 'sd' needs updating - please use bus_type methods
[ 5.546241] sd 2:0:0:0: [sda] 31252480 512-byte hardware sectors (16001 MB)
[ 5.546360] sd 2:0:0:0: [sda] Write Protect is off
[ 5.546455] sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 5.546472] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
..

With linux-image-2.6.27-7-generic I get error posted by bug submitter, on all SATA ports!
Newest -7 kernel is broken.

Jacob Boström (jakethecak3) wrote :

UUID in picture is sda1, which is correct, but it fail on boot.
Is this somehow related to https://bugs.launchpad.net/ubuntu/+source/grub/+bug/281100 ?

jake@quad:/$ ls -l /dev/disk/by-uuid/
totalt 0
lrwxrwxrwx 1 root root 10 2008-10-24 01:50 334e9765-cd8e-4c24-9a07-a7100ed3dc0c -> ../../sda2
lrwxrwxrwx 1 root root 10 2008-10-24 01:50 46B0A9F5B0A9EC1D -> ../../sdb4
lrwxrwxrwx 1 root root 10 2008-10-24 01:50 78A4F80AA4F7C920 -> ../../sdb1
lrwxrwxrwx 1 root root 10 2008-10-24 01:50 85a4921c-ecad-4cc6-a0cb-5473d04073eb -> ../../sda1
lrwxrwxrwx 1 root root 10 2008-10-24 01:50 905454c0-6222-4668-8161-c8e7012d81d6 -> ../../sdb2
jake@quad:/$

jake@quad:/$ mount |head -1
/dev/sda1 on / type ext3 (rw,relatime,errors=remount-ro)
jake@quad:/$

Robert Hrovat (robi-hipnos) wrote :

I found out that machine can boot after some time. Wait for about a minute when in busybox, then press CTRL+D and it will continue. Of course this is not a solution but at least you can always boot with latest kernel.

Robert Hrovat (robi-hipnos) wrote :

Something else I've noticed just now. Since this error, my SATA DVD drive is not visible to linux !!!

Jacob Boström (jakethecak3) wrote :

Yeah, I've noticed that as well.
If I wait 30 seconds or so and let the SRST errors pass and then just exit initramfs, system will boot as usual.
I have a SATA DVD drive like you do, but I haven't verified that it is missing. It is reading like crazy on boot though during the SRST errors.

I had the same problem on an asus p5w board and Ubuntu 8.04:

   ata4: SRST failed (errno=-16)

That occurred even when booting in live-cd mode. The problem dissapeared when I changed "sata mode" setting on bios from "enhanced ide" to "ahci". May be developers can find a solution with this new information.

Please, excuse my English, and I hope this info could help someone.

Robert Hrovat (robi-hipnos) wrote :

The problem is, only newer BIOS-es have such option.

enb (elitenoobboy) wrote :

The only thing in my bios that I could set to 'ahci' was a jmicron raid controller, but this did not help. There are no jumper setting that I can set, as I have both sata HD and cdrom.

jmax (jmhuet) wrote :

I have an ASUS M2N32 motherboard and an update of the PIONEER DVD-RW DVR-215 firmware (from 1.06 to 1.8) make my DVD drive visible and the error ata3: SRST failed (errno=-16) message is gone.

Thanks for your post, Jmax.

I have a similar thing here. I have 2 machines equipped with SATA DVD drives
and swapped the DVD drives (both Pioneer). When I use the older DVR 212
in the machine with the Asus P5N-E Sli board (NVidia 650i), I can boot into the live CD
(Ubuntu 8.10).

During shut down however, I still get messages with SRST.
So, looks like there is at least _also_ a problem with the hard reset
behavior of the Pioneer DVR 212 / 215 drives. Can be that the
NVidia chipset is doing fine, but Pioneer screwed hard reset up.

Robert Hrovat (robi-hipnos) wrote :

Nevertheless there should be workaround for buggy hardware too. Ordinary user wouldn't have a clue how to get around such annoying bug. I have to stick to 2.6.27-4 to have machine boot and to have DVD visible :-(

Robert, right.

What _I_ find most annoying is, that Pioneer does not seem to support
writing the firmware of their DVD drives using Linux (not even booting
into DOS with a plain old 3.5" floppy drive).
That sucks.

Robert Hrovat (robi-hipnos) wrote :

And my system has:

[ 4.596120] ata3.00: ATAPI: PIONEER DVD-RW DVR-215D, 1.13, max UDMA/66
[ 4.929735] scsi 2:0:0:0: CD-ROM PIONEER DVD-RW DVR-215D 1.13 PQ: 0 ANSI: 5

Log of course shows:

ata3: link online but device misclassified, device detection might fail
ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)

But what is different in kernel 2.6.27-4 that makes it work???

Robert,

2.6.27-4 probably has the correct(?) patch from Tejun Heo for sata_nv.c. See
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/220706/comments/16
The patch went in. I know for sure it was in 2.6.27-rc7 from Linus.

But at some later point in time, the sata_nv.c code has changed again.
Changed, so that the hard reset is back on NVidia.

I pointed to that. The final vanilla 2.6.27 from kernel.org *does* the hard reset.
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/220706/comments/22

Shit happens.

Robert Hrovat (robi-hipnos) wrote :

So the solution would be recompiling the kernel with that patch? Why on earth do we write bug reports when nobody at ubuntu actually cares? As far as I see it, this one is a critical regression that should never make it to final version, but it's still present there.

Robert, the Ubuntu team verifyied that the patch was in. Somebody else
broke it.

It is a tricky issue, since it appears that it *only* happens with certain NVidia
chipsets and certain Pioneer DVD drives. Not so easy.

Neither kernel developers, nor the Ubnutu team can test all HW combinations
possible. That why they rely on us --the users.

Changed in linux:
importance: Undecided → High
31 comments hidden view all 111 comments
smuldrew (smuldrew) wrote :

I encountered the same issue when I originally upgraded from 8.04 to 8.10. When I first upgraded to 8.10, I started seeing the "ata5: SRST failed (error = -16) " error. I'd see the error multiple times and then the boot process would drop to the BusyBox shell. At this point I could exit the shell and the boot process would successfully load the OS and window manager (kubuntu), but the DVD would not mount. At the time I thought it was a problem with the upgrade so I decided to do a fresh install of 8.10. The fresh install failed with the same issue, except this time it would not continue on the exit from BusyBox and so I re-installed 8.04. I've tried various fixes found in the forums and launchpad (BIOS changes, root delay, _all_generic_ide in grub boot, and others I can't remember), but nothing has worked for me. I reinstalled 8.04 and decided to wait for 9.04, but the same error is still appearing with the latest release. My latest attempt was to replace my IDE HD with a SATA HD as I had read that others had attributed the problem to a IDE and SATA combination between HD and DVD.
Here's what I'm running:
Motherboard: EVGA nForce 680i LT SLI
CPU: Intel Core 2 Duo E6600 2.4 GHz
Graphics: NVIDIA eForce 7600
Hard Drive: Seagate Barracuda 7200.10 500GB IDE
DVD: LG SuperMulti GSA-H62N SATA DVD Writer

scrash (informatiquesmu) wrote :

i ve the same problem with a maxtor 6E040L0 ide 41 gb xubuntu 8.10

I fixed the problem by turning my drives to cable select and re-plugging my ide cables in the proper direction.

thanks

scrash (informatiquesmu) wrote :

oups the problem carry on

asus p4s800- mx

i have 3 others same pc whithout this problem

scrash (informatiquesmu) wrote :

i resolved this boot problem, with change my cd drive.

Stefan Bader (smb) wrote :

Reading through the comments I am not sure how valid this is currently. Also quite a few, if not many, issues were resolved by changing the cabling or certain drives. Is there currently someone experiencing this problem on Jaunty?

Changed in linux (Ubuntu):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
status: Confirmed → Incomplete
smuldrew (smuldrew) wrote :

I haven't found a way to successfully boot up either 8.10 or 9.04 with my hardware setup (see my post on April 28). My next attempt will be to swap out the ATA DVD writer for an IDE one. My system was very stable back on 7.10 (and earlier) and is also fairly good on 8.04 (current configuration) so it would appear something changed in 8.10 that affected my hardware setup. It appears to be some sort of issue between the motherboard/bios ATA config and the kernal.

Edward Holcroft (eholcroft) wrote :

Yes I have this error on Jaunty with 2.6.28-11-generic. All was fine with initial upgrade to Jaunty from Intrepid. Stopping working coincided with some updates which included restricted modules. I had this before with my same PC config in Intrepid, and it stayed broken until it went away with a kernel update. Of course, if I remove the offending drive I no longer see the problem, but it doesn't look like a drive issue, as this configuration was working just fine before. Updated the bios on my Intel SE7525rp2 dual Xeon mb just in case, no use. Running Nvidia 6500.

What info can I give that may help?

Is this the same as https://bugs.launchpad.net/ubuntu/jaunty/+source/linux/+bug/290153?comments=all

ed

Robin Perkins (robin-perkins) wrote :

I think I had a similar related problem: I couldn't see the partitions on my /dev/sda device (both NTFS, ext3 and swap) when I was installing with either the Ubuntu 9.04 Desktop amd64 cd or the Kubuntu 9.04 Desktop amd64 cd. The 8.04 kubuntu cd however worked fine.

My motherboard is an ASUS P5Q. The problem would exist if I used the Silicon Image Sil5723 Serial ATA connectors on the motherboard [ Orange and White ]. As soon as I used the first ( of six) Intel ICH10R RAID controller Serial ATA connectors [ Red ] with RAID mode set in bios, I could see the partitions.

Hope this helps someone.

smuldrew (smuldrew) wrote :

I've run a few more tests on my system with no luck in terms of being able to install 9.04. I disconnected my ATA DVD from the motherboard and replaced with an IDE DVD. Under this configuration none of the ATA inputs were being used on the motherboard. When I attempted to install 9.04 in aborted right away with error: "Aborted because crc error. Kernel panic - not syncing". This is a different error than the "ata: SRST failed" that I was always getting after upgrade/install of 8.10 so I'm not sure now if this is the same problem manifesting itself on a fresh install, or whether I have multiple issues. The other action I tried was to upgrade my bios to the latest version as I suspect it may be something related to my motherboard (EVGA nForce 680i LT SLI). This upgrade, however, had no affect. All I know for sure is that my system configuration works on 8.04, but not on 8.10 and 9.04. I guess something has become incompatible between my hardware and the more recent kernels.

gherardo (gherardo) wrote :

I have the same problem at 9.04 (kernel as from a brand new install) with an old PIII-633, 256MB and a 4GB old WD ATA-33 HDD.
Solved the problem as described previously:
"I fixed the problem by turning my drives to cable select and re-plugging my ide cables in the proper direction."
Same machine with a different HDD had no problem also with jumpers on master.

For sure there is a long running problem in the kernel I guess.

wcollier (winston-collier) wrote :

I am having the non-boot issue with Jaunty. XFX 680i lt motherboard, and I did *NOT* have an issue with Ubuntu until 8.10 and now 9.04.

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/380462/comments/1 has a complete set of hardware listings.

I am disappointed that Ubuntu team released with so many bugs slip through, especially bugs that have been ongoing like this one that is serious enough to prevent a normal boot, and the audio bug that basically prevents any real use as a desktop.

This is especially bad when I am trying to convince others to switch or try Ubuntu - to them it says Ubuntu is simply unreliable and crap for fixing a long running bug that prevents a fundamental thing like booting (or audio use in my other bug report)..

Devs: this is your "jump the shark" moment. Fix it or lose the opportunity to get people to use your distro.

broozm (bruce-hha) wrote :

ata4: SRST failed (errno=-16) when I plug in a
640GB Western Digital WD6400AAKS
(on an AMD XP 2.5 716MB and booting off PATA 200GB drive)

smuldrew (smuldrew) wrote :

I've finally solved what turned out to the the root problem on my system. I ran the memory test on the install CD and it turned out that one of my sticks had some bad memory segments. So in a nutshell, the installation of 8.04 was able to succeed even with some bad memory, but the 8.10 and 9.04 installs were not. I guess this is why I didn't think it could be bad memory - I was always able to install and run 8.04 without issue.

This is clearly not the only reason this error appears as the numerous forum entries and bug reports indicate, but the memory is certainly worth checking if you're getting this error and none of the other proposed solutions are working for you.

I removed the defective stick (which was in slot 1 vs the primary slot 0) and was able to install 9.04 without another issue. I've been running 9.04 now for 4 days and it has booted successfully 20-30 times without a problem. It feels good to be able to run the latest release. I hope this helps a few other lost souls get to 9.04.

KingBear (atomic-existence) wrote :

This is insane! A bug that has been going on for over a year, with this many comments, and they act like it is a figment of our imagination by setting the ticket status to incomplete? Not to mention, there is little I could have done myself to diagnose this without Googling due to such a cryptic error message.

I have an EVGA 680i motherboard and a SATA LG Bluray drive. From what I read above this combination will trigger this problem. Previously I ran Windows XP before and I am trying to recover from a crash of my Areca 1220 RAID. I planned on using Ubuntu to clone the healthy disks and take this opportunity to permanently migrate over to Linux.

Guess I will be looking for a different distro. Though I am curious, if any of us had paid support would this have been addressed timely? I ask because I had considered Ubuntu before for the desktop OS of the machines in my business.

Janus (ysangkok+launchpad) wrote :

KingBear: Why change distribution when you can change to the mainline kernel? And if the mainline kernel has the same problem it's not a distribution problem.

Anyway, I solved this problem by changing cables. My motherboard is a bit weird though so I have to boot with pci=bios.

Stefan Bader (smb) wrote :
Download full text (3.1 KiB)

The problem here is that the message just tells you there is something wrong operating the disk. And reading through the report this has been resolved for some by replacing cables, bios settings or even memory. And this is really hard, if not impossible to get solved. Ok, enough whining.

Those with the problem (and I'd like to concentrate on Jaunty, even better Karmic or a kernel from https://wiki.ubuntu.com/KernelMainlineBuilds as some things might be solved in newer kernels). If the same problem persists, the dmesg output helps to get further information. Like what DMA speeds does the host claim to support, what speeds the drive, which is chosen, with NCQ or without, ...
It is also possible to influence the configuration with libata.force (on the kernel/grub command line). For example, if the error message say ata1.xx, then libata.force=1:<opt>[,<opt>] will change the config for that port. The options would be (taken from Documentation/kernel-parameters.txt):

        libata.force= [LIBATA] Force configurations. The format is comma
                        separated list of "[ID:]VAL" where ID is
                        PORT[:DEVICE]. PORT and DEVICE are decimal numbers
                        matching port, link or device. Basically, it matches
                        the ATA ID string printed on console by libata. If
                        the whole ID part is omitted, the last PORT and DEVICE
                        values are used. If ID hasn't been specified yet, the
                        configuration applies to all ports, links and devices.

                        If only DEVICE is omitted, the parameter applies to
                        the port and all links and devices behind it. DEVICE
                        number of 0 either selects the first device or the
                        first fan-out link behind PMP device. It does not
                        select the host link. DEVICE number of 15 selects the
                        host link and device attached to it.

                        The VAL specifies the configuration to force. As long
                        as there's no ambiguity shortcut notation is allowed.
                        For example, both 1.5 and 1.5G would work for 1.5Gbps.
                        as there's no ambiguity shortcut notation is allowed.
                        For example, both 1.5 and 1.5G would work for 1.5Gbps.
                        The following configurations can be forced.

                        * Cable type: 40c, 80c, short40c, unk, ign or sata.
                          Any ID with matching PORT is used.

                        * SATA link speed limit: 1.5Gbps or 3.0Gbps.

                        * Transfer mode: pio[0-7], mwdma[0-4] and udma[0-7].
                          udma[/][16,25,33,44,66,100,133] notation is also
                          allowed.

                        * [no]ncq: Turn on or off NCQ.

                        * nohrst, nosrst, norst: suppress hard, soft
                          and both resets.

                        If there are multiple matching configurations changing
                        the same attribute, the last one is us...

Read more...

Download full text (5.5 KiB)

OK, I have a holiday coming up and I will try a alternates until I find one that works (Start with Jaunty and then try Karmic). I'd like to help get this solved, but eventually I am going to need to install something that works (even if its FreeBSD or OpenSUSE), so I can use this machine to do something other than play games on WindowsXP (the other boot it has). What strikes me as odd is that the LiveCD works well, and the initial install CD (64bit DVD) boots just fine, but after I try to get the kernel to boot, it just seems to lose the SDA drive completely after partially starting and then exiting into the initrd busybox.

Please let me know anything more I can do to this box to get data that will help you, I'll send reports on my kernel attempts.

Would a DMESG and other log capture form the livecd help? (I can mount a flash drive and copy them there). What about boot info from another distro if I get one that seems stable with the same kernel maj.min.pl ? I have been using Ubuntu for as my preferred desktop since I gave up Gentoo after a year and a half of masochism. I am not averse to temporarily doing minimal installs of other distros, even though I hate RPM based distros (since they are far too brittle), but if that's what it takes, I'll put up with it to get your data.

Regards,

Winston

----- Original Message ----
> From: Stefan Bader <email address hidden>
> To: <email address hidden>
> Sent: Wednesday, June 24, 2009 8:16:28 AM
> Subject: [Bug 220706] Re: Boot fails on ata3: SRST failed (errno=-16)
>
> The problem here is that the message just tells you there is something
> wrong operating the disk. And reading through the report this has been
> resolved for some by replacing cables, bios settings or even memory. And
> this is really hard, if not impossible to get solved. Ok, enough
> whining.
>
> Those with the problem (and I'd like to concentrate on Jaunty, even better
> Karmic or a kernel from https://wiki.ubuntu.com/KernelMainlineBuilds as some
> things might be solved in newer kernels). If the same problem persists, the
> dmesg output helps to get further information. Like what DMA speeds does the
> host claim to support, what speeds the drive, which is chosen, with NCQ or
> without, ...
> It is also possible to influence the configuration with libata.force (on the
> kernel/grub command line). For example, if the error message say ata1.xx, then
> libata.force=1:[,] will change the config for that port. The options
> would be (taken from Documentation/kernel-parameters.txt):
>
> libata.force= [LIBATA] Force configurations. The format is comma
> separated list of "[ID:]VAL" where ID is
> PORT[:DEVICE]. PORT and DEVICE are decimal numbers
> matching port, link or device. Basically, it matches
> the ATA ID string printed on console by libata. If
> the whole ID part is omitted, the last PORT and DEVICE
> values are used. If ID hasn't been specified yet, the
> configuration applies to all ports, links and devices.
>
> ...

Read more...

Stefan Bader (smb) wrote :

wcollier wrote:
> something other than play games on WindowsXP (the other boot it has). What
> strikes me as odd is that the LiveCD works well, and the initial install CD
> (64bit DVD) boots just fine, but after I try to get the kernel to boot, it
> just seems to lose the SDA drive completely after partially starting and
> then exiting into the initrd busybox.

That really sounds odd/interesting. Does that mean from the LiveCD you can
access the disk without problems? And the installation also works up to the
point were you reboot from the disk?
If so, then please post the dmesg from the LiveCD (maybe after accessing the
disk drive for a bit) and the dmesg from the failed boot. Maybe this gives some
hints.

I would put installing other distros as rather a last resort. Not so much for
being in favour of Ubuntu but its likely more hassle for you and finding a
working mainline or newer Ununtu kernel, it would be simpler for me to walk
through the differences.

One more thing, that just comes to my mind: it won't hurt when adding a "debug"
to the grub kernel parameters (LiveCD and disk boot) to get the dmesg more verbose.

Hello, I have the error you described in a computer using Conceptronics CSATA Combo and a Samsung Sata 512GB disk and Jaunty 32 bits. The system boots, but it prompts me with that error a couple of times. I will now investigate it for stability, it is supposed to run as a server in the near future, it has the server kernel (2.6.28-15 server)

Cheers

Antonio

NPelham (pelhamnicholas) wrote :

I am having this problem as well. 9.04 on Nvidia borad with sata drives. I get the error message on my sata's that don't have anything plugged in, and are turned off in the BIOS. I tried using the libata.force, but I get a "not found" message that I believe indicates there is no libata command on my grub.

Im hoping to get my hands on the Karmic Beta to see if the problem exists in that version, but until then I'm stuck with a home PC that might as well be an end table since I have no other OS to install on it, 9.04 worked fine for me for months. This error just started within the last week so I would guess it has something to do with an update I installed.

James Gray (jamespgray) wrote :

In my case I was periodically hanging with error messages identical to those reported. I tried several of the above fixes, but only resolved the issue by replacing the hard drive. The drive was definitely defective. If you have a spare SATA drive laying around you can verify if switching disks fixes this issue.

Arthur Hartwig (a-hartwig) wrote :

I have the same problem. I successfully installed the Ubuntu Alternate CD on a 80GB IDE drive plugged into a system with a VIA system and CLE-266 chipset. This installation was not particularly reliable - it would hang within a few minutes to a few hours.

I moved the IDE drive to a box with a Zida Create Bxe-ATX motherboard and then saw the SRST failed message repeated during boot. Since I couldn't get that to work I moved the drive to a box with a Asus P2B motherboard and had the same problem. Then I moved the drive to a box with a Tyan S1832D motherboard and two Pentium II CPUs. This system worked fine and has stayed up without problem for more than 14 hours. All three systems use the Intel BX chipset, the first two have an AWARD BIOS while the working system uses an AMI BIOS.

As suggested in bug 382269 I'll try a beta build of Karmic and report back.

I also have a Asus Pundit P1-AH2. I upgraded to 9.10, and now my system won't boot anymore. I also get the SRST errno=-16 error.
I didn't change the cables.
I can't update the firmware of my DVD, as the only Windows systems I own are laptops.

My system is dead now. I really need some sort of fix.

Juan Iguana (cisneros-jc) wrote :

I confirm this annoying bug on a PC with Intel Core 2 1.86 processor, Nvidia graphics card, SATA hard drive and LG DVD (I had a Pioneer DVD before and the bug was there already). The PC has dual boot with Windows XP. It worked well on a clean Intrepid Ibex installation a year ago but as soon as the first kernel updates came it stopped booting and began displaying "SRST failed...." I upgraded to Jaunty as it came out and now to Karmic with no success. I have tried switching cables and jumpers as suggested here, with no luck. It is not hardware or Bios problem, however, because XP starts smoothly. During one year we also have tried to install repeatedly other distros on this PC, but live CDs won't even recognize the hard drive. So only XP works on this PC which is sad.

Id2ndR (id2ndr) wrote :

Maybe you can attach your new dmesg when booting a liveCD of karmic. It may help.

wcollier (winston-collier) wrote :

Ive given up on using Linux on this machine. FreeBSD works just fine.

----- Original Message ----
> From: Id2ndR <email address hidden>
> To: <email address hidden>
> Sent: Fri, November 20, 2009 2:48:25 PM
> Subject: [Bug 220706] Re: Boot fails on ata3: SRST failed (errno=-16)
>
> Maybe you can attach your new dmesg when booting a liveCD of karmic. It
> may help.
>
> --
> Boot fails on ata3: SRST failed (errno=-16)
> https://bugs.launchpad.net/bugs/220706
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: linux-image-2.6.24-16-386
>
> Boot fails with kernel 2.6.24-16 from hardy but succeeds on 2.6.22
>
> Final messages in recovery mode
>
> usbcore: registered new interface driver usbhid
> /build/buildd/linux-2.6.24/drivers/hid/usbhid/hid-core.c: v2.6:USB HID core
> driver
> ata3: port is slow to respond, please be patient (Status 0x90)
> ata3: SRST failed (errno=-16)
>
> Then eventually busybox begins
> Please let me know if there is anymore information I can offer.

Juan Iguana (cisneros-jc) wrote :

Id2ndR, this is the dmesg file from the aforementioned PC.

As some said they thought it was related to their Pioneer DVD drive, I disconnected my DVD drive from the Asus Pundit P1-AH2
So all I have is one 500GB disk. That fails as well: same error.

I have a similar problem, but with the 2.6.31-14 kernel (the standard one of karmic). I'm running Ubuntu in virtualbox (I'm forced to it) and suddenly everything was mounted ro.
This is was syslog gave:
Nov 25 19:33:18 fktill kernel: [130827.001969] ata1: lost interrupt (Status 0x48)
Nov 25 19:33:18 fktill kernel: [130827.002010] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Nov 25 19:33:18 fktill kernel: [130827.002015] ata1.00: cmd ca/00:08:f7:16:80/00:00:00:00:00/e0 tag 0 dma 4096 out
Nov 25 19:33:18 fktill kernel: [130827.002016] res 40/00:00:00:00:00/00:00:00:00:00/e0 Emask 0x4 (timeout)
Nov 25 19:33:18 fktill kernel: [130827.002018] ata1.00: status: { DRDY }
Nov 25 19:33:18 fktill kernel: [130827.002167] ata1: soft resetting link
Nov 25 19:33:24 fktill kernel: [130832.198481] ata1: link is slow to respond, please be patient (ready=0)
Nov 25 19:33:28 fktill kernel: [130837.014558] ata1: SRST failed (errno=-16)
Nov 25 19:33:28 fktill kernel: [130837.014572] ata1: soft resetting link
Nov 25 19:33:34 fktill kernel: [130842.208086] ata1: link is slow to respond, please be patient (ready=0)
Nov 25 19:33:38 fktill kernel: [130847.025800] ata1: SRST failed (errno=-16)
Nov 25 19:33:38 fktill kernel: [130847.025839] ata1: soft resetting link
Nov 25 19:33:44 fktill kernel: [130852.229309] ata1: link is slow to respond, please be patient (ready=0)
Nov 25 19:34:13 fktill kernel: [130882.033051] ata1: SRST failed (errno=-16)
Nov 25 19:34:13 fktill kernel: [130882.033066] ata1: soft resetting link

I hope this helps, it's quite annoying.
Thank you very muc!

inigoml (inigoml) wrote :
Download full text (5.1 KiB)

I've been following this bug since hardy.
Nowadays is only annoying sin I can boot after waiting for an extra 30 seconds or more without problem.
In the past I upgraded BIOS, firmwares, etc but problem remains.

My config is:
Seagate Barracuda at SATA port.
Western Digital Caviar at IDE port (master).
DVD-ROM at second IDE port (master).
DVD-ROM writer at second IDE port (slave)

The problem is shown when detecting legacy IDE units.

[ 1.207345] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input3
[ 1.242560] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[ 1.301915] ata1.00: ATA-7: ST3400833AS, 3.AAE, max UDMA/133
[ 1.301982] ata1.00: 781422768 sectors, multi 16: LBA48 NCQ (depth 31/32)
[ 1.393552] ata1.00: configured for UDMA/133
[ 1.393719] scsi 0:0:0:0: Direct-Access ATA ST3400833AS 3.AA PQ: 0 ANSI: 5
[ 1.393914] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 1.394019] sd 0:0:0:0: [sda] 781422768 512-byte logical blocks: (400 GB/372 GiB)
[ 1.394141] sd 0:0:0:0: [sda] Write Protect is off
[ 1.394208] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 1.394231] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 1.394439] sda:
[ 1.405403] ata2: SATA link down (SStatus 0 SControl 300)
[ 1.416363] ata4: SATA link down (SStatus 0 SControl 300)
[ 1.433212] sda1 sda2 sda3 sda4
[ 1.451029] sd 0:0:0:0: [sda] Attached SCSI disk
[ 1.560037] usb 1-7: new high speed USB device using ehci_hcd and address 3
[ 1.715423] usb 1-7: configuration #1 chosen from 1 choice
[ 2.052521] usb 2-1: new full speed USB device using ohci_hcd and address 2
[ 2.276096] usb 2-1: configuration #1 chosen from 1 choice
[ 2.279073] hub 2-1:1.0: USB hub found
[ 2.282049] hub 2-1:1.0: 2 ports detected
[ 2.574049] usb 2-1.1: new full speed USB device using ohci_hcd and address 3
[ 2.699090] usb 2-1.1: configuration #1 chosen from 1 choice
[ 2.791056] usb 2-1.2: new full speed USB device using ohci_hcd and address 4
[ 2.920100] usb 2-1.2: configuration #1 chosen from 1 choice
[ 6.300027] ata5: link is slow to respond, please be patient (ready=0)
[ 11.160027] ata5: SRST failed (errno=-16)
[ 16.360026] ata5: link is slow to respond, please be patient (ready=0)
[ 21.220027] ata5: SRST failed (errno=-16)
[ 26.420027] ata5: link is slow to respond, please be patient (ready=0)
[ 52.220071] ata5.01: link status unknown, clearing UNKNOWN to NONE
[ 52.241764] ata5.00: ATA-6: WDC WD2000JB-00GVA0, 08.02D08, max UDMA/100
[ 52.241833] ata5.00: 390721968 sectors, multi 16: LBA48
[ 52.241921] ata5: nv_mode_filter: 0x3f39f&0x3f39f->0x3f39f, BIOS=0x3f000 (0xc600c0c0) ACPI=0x3f01f (20:900:0x11)
[ 52.281697] ata5.00: configured for UDMA/100
[ 52.281840] scsi 4:0:0:0: Direct-Access ATA WDC WD2000JB-00G 08.0 PQ: 0 ANSI: 5
[ 52.282029] sd 4:0:0:0: Attached scsi generic sg1 type 0
[ 52.282128] sd 4:0:0:0: [sdb] 390721968 512-byte logical blocks: (200 GB/186 GiB)
[ 52.282249] sd 4:0:0:0: [sdb] Write Protect is off
[ 52.282314] sd 4:0:0:0: [sdb] Mode Sense: 00 3a 00 00
[ 52.282337] sd 4:0:0:0: [sdb] W...

Read more...

enb (elitenoobboy) wrote :

Does this still happen on the recently released 2.6.32 kernel?

Juan Iguana (cisneros-jc) wrote :

I managed to update my problematic machine to Karmic. A curious thing that I forgot to mention before, this PC does boot if I try it *less than TEN MINUTES after turning off Windows XP*. Each time I want to use Ubuntu on this machine I have to boot Windows first, then restart the machine and boot Ubuntu in a few minutes, it's the only way to make it work. I just updated to Karmic and installed updates, including Kernel 2.6.31.16. Then, 40 minutes later, I try to boot and it failed again. It did not display the traditional "SRST failed...." but instead this (which looks more or less the same to me):

Gave up waiting for root device. Common problems:5167c2530e6
    -Boot args (cat /proc/cmdline)
         -Check rootdelay= (did the system wait long enough?)
         -Check root= (did the system wait for the right device?)
Alert! dev/disk/by-uuid/2fa287a6-1db7-4d36-670b-55167c2530e6 does not exist. Dropping to a shell!

----
So the problem is still there...

parq (pablo-romeroquinteros) wrote :

Fixed!

See https://bugs.launchpad.net/ubuntu/+source/linux/+bug/223014/comments/34.

More info:
Ubuntu 9.10
Dell Latitude D510
Wubi install over Winxp

Juan Iguana (cisneros-jc) wrote :

It is not fixed. This bug is not related to Wubi.

Meawoppl (meawoppl) wrote :
Download full text (4.3 KiB)

ASUS Mb Nvidia chipset also. Device in question is part of a SATA software raid, and seems to fail intermittently. Hard to rule out actual hardware failure here . . .

This machine reboots strangely, and also features a Pioneer DVD drive I've seen mentioned, but it is not the failing device . . .

(recover the raid after previous problem with this)
[10958.777094] md: md0: recovery done.
[10958.817394] RAID5 conf printout:
[10958.817397] --- rd:3 wd:3
[10958.817400] disk 0, o:1, dev:sdc1
[10958.817401] disk 1, o:1, dev:sdd1
[10958.817403] disk 2, o:1, dev:sde1

. . . gap . . .

[58831.804153] ata4.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0 frozen
[58831.804161] ata4.01: cmd c8/00:08:5f:18:00/00:00:00:00:00/f0 tag 0 dma 4096 in
[58831.804162] res 40/00:00:00:00:00/00:00:00:00:00/10 Emask 0x4 (timeout)
[58831.804165] ata4.01: status: { DRDY }
[58831.804172] ata4.00: hard resetting link
[58832.124138] ata4.01: hard resetting link
[58837.640134] ata4.00: link is slow to respond, please be patient (ready=0)
[58841.840134] ata4.00: SRST failed (errno=-16)
[58841.850842] ata4.00: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[58841.850856] ata4.01: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[58846.892256] ata4.01: qc timeout (cmd 0xec)
[58846.892261] ata4.01: failed to IDENTIFY (I/O error, err_mask=0x4)
[58846.892264] ata4.01: revalidation failed (errno=-5)
[58846.892271] ata4.00: hard resetting link
[58847.212012] ata4.01: hard resetting link
[58852.696009] ata4.00: link is slow to respond, please be patient (ready=0)
[58856.948015] ata4.00: SRST failed (errno=-16)
[58856.958727] ata4.00: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[58856.958740] ata4.01: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[58867.000025] ata4.01: qc timeout (cmd 0xec)
[58867.000031] ata4.01: failed to IDENTIFY (I/O error, err_mask=0x4)
[58867.000034] ata4.01: revalidation failed (errno=-5)
[58867.000039] ata4.01: limiting SATA link speed to 1.5 Gbps
[58867.000045] ata4.00: hard resetting link
[58867.320016] ata4.01: hard resetting link
[58872.848011] ata4.00: link is slow to respond, please be patient (ready=0)
[58877.008009] ata4.00: SRST failed (errno=-16)
[58877.018725] ata4.00: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[58877.018739] ata4.01: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
[58907.064128] ata4.01: qc timeout (cmd 0xec)
[58907.064135] ata4.01: failed to IDENTIFY (I/O error, err_mask=0x4)
[58907.064137] ata4.01: revalidation failed (errno=-5)
[58907.064140] ata4.01: disabled
[58907.064148] ata4.00: failed to IDENTIFY (I/O error, err_mask=0x40)
[58907.064150] ata4.00: revalidation failed (errno=-5)
[58907.064156] ata4.00: hard resetting link
[58907.384016] ata4.01: hard resetting link
[58912.912012] ata4.00: link is slow to respond, please be patient (ready=0)
[58917.116013] ata4.00: SRST failed (errno=-16)
[58917.126724] ata4.00: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[58917.126737] ata4.01: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
[58917.184307] ata4.00: configured for UDMA/133
[58917.184327] ata4: EH complete
[58917.184351] sd 3:0:1:0: [sdc] Result: hostbyte=DID_BAD_TARGET driverbyt...

Read more...

Daniel (daniel3ub) wrote :

Maybe my problem is not related to this, but the error messages are the same.

What makes me think that the problem may not be related is that this error appears once in a while (the last time was on Jan 1st, then it fixed itself one or two days later), then again yesterday (but it did not fixed itself yet).

When this error happens I cannot see my DVD drive in my Vista installation either (althought it boots).

Didn´t try the CTRL+D trick nor the cable changing solution (as it is a notebook and there is not much to do about bios options or cable changes).

I will try the update the DVD firmware when I get home, but I think it will not be possible, since I cannot see the drive in Vista.

Any ideas, please? Thanks!

tags: added: cherry-pick kernel-core
Jeremy Foshee (jeremyfoshee) wrote :

snoble,
    Are you able to confirm this is still an issue on the current release of Lucid?

Other reporters please file new bugs as this is the Kernel Team policy going forward. Also, if you are not the original reporter of this bug, please do not respond in comments to this message. I need a response here from the original reporter or this issue will be closed.

All other persons under the impression they are affected by this bug will please file a new bug and I will get to them.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Incomplete → Triaged
status: Triaged → Incomplete
snoble (steven-noble) wrote :

I'm unfortunately not able to be of much assistance to you because the
computer which had this issue is long gone. It may be worth
highlighting, for anyone who stumbles upon this bug through a search,
that I had initially gotten around this issue by changing the
direction of my IDE cable (which I believe I mentioned very early on
in the thread).

Thanks,
Steven

On Thu, Jun 3, 2010 at 11:39 AM, Jeremy Foshee
<email address hidden> wrote:
> snoble,
>    Are you able to confirm this is still an issue on the current release of Lucid?
>
> Other reporters please file new bugs as this is the Kernel Team policy
> going forward. Also, if you are not the original reporter of this bug,
> please do not respond in comments to this message. I need a response
> here from the original reporter or this issue will be closed.
>
> All other persons under the impression they are affected by this bug
> will please file a new bug and I will get to them.
>
> Thanks!
>
> ~JFo
>
> ** Changed in: linux (Ubuntu)
>       Status: Incomplete => Triaged
>
> ** Changed in: linux (Ubuntu)
>       Status: Triaged => Incomplete
>
> --
> Boot fails on ata3: SRST failed (errno=-16)
> https://bugs.launchpad.net/bugs/220706
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
> Status in “linux” package in Mandriva: New
> Status in “linux” package in openSUSE: New
>
> Bug description:
> Binary package hint: linux-image-2.6.24-16-386
>
> Boot fails with kernel 2.6.24-16 from hardy but succeeds on 2.6.22
>
> Final messages in recovery mode
>
> usbcore: registered new interface driver usbhid
> /build/buildd/linux-2.6.24/drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
> ata3: port is slow to respond, please be patient (Status 0x90)
> ata3: SRST failed (errno=-16)
>
> Then eventually busybox begins
> Please let me know if there is anymore information I can offer.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/220706/+subscribe
>

Jeremy Foshee (jeremyfoshee) wrote :

marking invalid per the unavailability of the hardware from the initial report and the fix by manipulation of the cable. Once again, to those under the impression they are affected by the same bug, please report a new bug so that your issue gets the attention it needs.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Incomplete → Invalid
assignee: Stefan Bader (stefan-bader-canonical) → nobody
Fabián Rodríguez (magicfab) wrote :

Anyone interested in this bug should now look at the recently reported Bug #595448:
Slow boot caused by SATA controller reset

Displaying first 40 and last 40 comments. View all 111 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions